
Application: gvSIG desktop - gvSIG bugs #2166
Fallo al editar capa postGIS
12/20/2013 07:57 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Database
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

En una capa tipo GEOMETRY de postGIS , tras mover unas geometrías, al intentar abrir la tabla alfanumérica para editar unos
datos, aparece la siguiente excepción:

RROR [AWT-EventQueue-1] (JDBCStoreProviderWriter.java:739) - While getting PK from DB
org.gvsig.fmap.dal.resource.exception.AccessResourceException: Error while atemp to access resource
'PostgreSQLResource(jdbc:postgresql://10.172.253.237:5432/ideex,ALBORNOZYF)'.
    at org.gvsig.fmap.dal.resource.db.AbstractDBResourceNoBlocker.get(AbstractDBResourceNoBlocker.java:76)
    at org.gvsig.fmap.dal.store.jdbc.JDBCResource.getJDBCConnection(JDBCResource.java:99)
    at org.gvsig.fmap.dal.store.jdbc.JDBCHelper.getConnection(JDBCHelper.java:212)
    at org.gvsig.fmap.dal.store.jdbc.JDBCStoreProviderWriter.allowWrite(JDBCStoreProviderWriter.java:737)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.allowWrite(DefaultFeatureStore.java:320)
    at
org.gvsig.geometrymeasurement.app.extension.AbstractGeometryMeasurementExtension.isEnabled(AbstractGeometryMeasurementExtension.java:75)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfoStatusCache.isEnabled(DefaultActionInfoStatusCache.java:76)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.enableControls(MDIFrame.java:1128)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:824)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
    at java.awt.AWTEventMulticas
rementExtension.java:75)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfoStatusCache.isEnabled(DefaultActionInfoStatusCache.java:76)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.enableControls(MDIFrame.java:1128)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:824)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.Component.processMouseEvent(Component.java:6389)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3268)
    at java.awt.Component.processEvent(Component.java:6154)
    at java.awt.Container.processEvent(Container.java:2045)
    at java.awt.Component.dispatchEventImpl(Component.java:4750)
    at java.awt.Container.dispatchEventImpl(Container.java:2103)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
    at java.awt.Container.dispatchEventImpl(Container.java:2089)
    at java.awt.Window.dispatchEventImpl(Window.java:2518)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:672)
    at java.awt.EventQueue.access$400(EventQueue.java:96)
    at java.awt.EventQueue$2.run(EventQueue.java:631)
    at java.awt.EventQueue$2.run(EventQueue.java:629)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
    at java.awt.EventQueue$3.run(EventQueue.java:645)
    at java.awt.EventQueue$3.run(EventQueue.java:643)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:642)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
Caused by: org.gvsig.fmap.dal.store.jdbc.exception.JDBCSQLException: An JDBC driver exception was throw
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource.getTheConnection(PostgreSQLResource.java:190)
    at org.gvsig.fmap.dal.resource.db.AbstractDBResourceNoBlocker.get(AbstractDBResourceNoBlocker.java:74)
    ... 47 more
Caused by: org.apache.commons.dbcp.SQLNestedException: Cannot get a connection, pool error Timeout waiting for idle
object
    at org.apache.commons.dbcp.PoolingDataSource.getConnection(PoolingDataSource.java:104)
    at org.apache.commons.dbcp.BasicDataSource.getConnection(BasicDataSource.java:880)
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLResource.getTheConnection(PostgreSQLResource.java:186)
    ... 48 more
Caused by: java.util.NoSuchElementException: Timeout waiting for idle object
    at org.apache.commons.pool.impl.GenericObjectPool.borrowObject(GenericObjectPool.java:1174)
    at org.apache.commons.dbcp.PoolingDataSource.getConnection(PoolingDataSource.java:96)
    ... 50 more

History
#1 - 12/23/2013 09:10 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

This issue was fixed by gvsig-desktop:r40999 and will not happen in next build.

#2 - 01/13/2014 09:51 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#3 - 01/28/2014 09:14 AM - Álvaro Anguix
- Status changed from Fixed to Closed
